HyperPaxeer NetworkPaxeer Network
API Reference

Search for transactions

GET
/tx_search

Search for transactions w/ their results.

See /subscribe for the query syntax.

Query Parameters

query*string

Query

prove?boolean

Include proofs of the transactions inclusion in the block

Defaultfalse
page?integer

Page number (1-based)

Default1
per_page?integer

Number of entries per page (max: 100)

Default30
order_by?string

Order in which transactions are sorted ("asc" or "desc"), by height & index. If empty, default sorting will be still applied.

Default"asc"
match_events?boolean

Match attributes in query within events, in addition to the height & txhash

Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://mainnet-beta.rpc.hyperpaxeer.com/tx_search?query=tx.height%3D1000"
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "txs": [
      {
        "hash": "D70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED",
        "height": "1000",
        "index": 0,
        "tx_result": {
          "log": "[{\"msg_index\":\"0\",\"success\":true,\"log\":\"\"}]",
          "gas_wanted": "200000",
          "gas_used": "28596",
          "tags": {
            "key": "YWN0aW9u",
            "value": "c2VuZA==",
            "index": false
          }
        },
        "tx": "5wHwYl3uCkaoo2GaChQmSIu8hxpJxLcCuIi8fiHN4TMwrRIU/Af1cEG7Rcs/6LjTl7YjRSymJfYaFAoFdWF0b20SCzE0OTk5OTk1MDAwEhMKDQoFdWF0b20SBDUwMDAQwJoMGmoKJuta6YchAwswBShaB1wkZBctLIhYqBC3JrAI28XGzxP+rVEticGEEkAc+khTkKL9CDE47aDvjEHvUNt+izJfT4KVF2v2JkC+bmlH9K08q3PqHeMI9Z5up+XMusnTqlP985KF+SI5J3ZOIhhNYWRlIGJ5IENpcmNsZSB3aXRoIGxvdmU=",
        "proof": {
          "RootHash": "72FE6BF6D4109105357AECE0A82E99D0F6288854D16D8767C5E72C57F876A14D",
          "Data": "5wHwYl3uCkaoo2GaChQmSIu8hxpJxLcCuIi8fiHN4TMwrRIU/Af1cEG7Rcs/6LjTl7YjRSymJfYaFAoFdWF0b20SCzE0OTk5OTk1MDAwEhMKDQoFdWF0b20SBDUwMDAQwJoMGmoKJuta6YchAwswBShaB1wkZBctLIhYqBC3JrAI28XGzxP+rVEticGEEkAc+khTkKL9CDE47aDvjEHvUNt+izJfT4KVF2v2JkC+bmlH9K08q3PqHeMI9Z5up+XMusnTqlP985KF+SI5J3ZOIhhNYWRlIGJ5IENpcmNsZSB3aXRoIGxvdmU=",
          "Proof": {
            "total": "2",
            "index": "0",
            "leaf_hash": "eoJxKCzF3m72Xiwb/Q43vJ37/2Sx8sfNS9JKJohlsYI=",
            "aunts": [
              "eWb+HG/eMmukrQj4vNGyFYb3nKQncAWacq4HF5eFzDY="
            ]
          }
        }
      }
    ],
    "total_count": "2"
  }
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}